Description

CN.archive fails with 401 Unauthorized when using either MN or CN client certificate for PID with authoritative MN as urn:node:LTER

- 

MN attempt:

curl -i -E ./urn_node_LTER-1.pem -X PUT https://cn.dataone.org/cn/v2/archive/doi:10.6073/AA/knb-lter-bes.437.35

HTTP/1.1 401 Unauthorized

Date: Wed, 01 Feb 2017 19:23:20 GMT

Server: Apache/2.4.7 (Ubuntu)

Content-Type: text/xml

Content-Length: 291

Access-Control-Allow-Origin:

Access-Control-Allow-Credentials: true

Access-Control-Allow-Headers: Authorization, Content-Type, Location, Content-Length, x-annotator-auth-token

Access-Control-Expose-Headers: Content-Length, Content-Type, Location

Access-Control-Allow-Methods: POST, GET, OPTIONS, PUT, DELETE

<?xml version="1.0" encoding="UTF-8"?>

The Coordinating Node is not authorized to make systemMetadata changes on this object. Please make changes directly on the

authoritative Member Node.

CN attempt:

curl -i -E ./urn_node_CNUCSB1.pem -X PUT https://cn.dataone.org/cn/v2/archive/doi:10.6073/AA/knb-lter-bes.437.35

HTTP/1.1 401 Unauthorized

Date: Wed, 01 Feb 2017 19:29:29 GMT

Server: Apache/2.4.7 (Ubuntu)

Content-Type: text/xml

Content-Length: 291

Access-Control-Allow-Origin:

Access-Control-Allow-Credentials: true

Access-Control-Allow-Headers: Authorization, Content-Type, Location, Content-Length, x-annotator-auth-token

Access-Control-Expose-Headers: Content-Length, Content-Type, Location

Access-Control-Allow-Methods: POST, GET, OPTIONS, PUT, DELETE

<?xml version="1.0" encoding="UTF-8"?>

The Coordinating Node is not authorized to make systemMetadata changes on this object. Please make changes directly on the

authoritative Member Node.

Object System Metadata:

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
doi:10.6073/AA/knb-lter-bes.437.35

eml://ecoinformatics.org/eml-2.0.1
uid=BES,o=LTER,dc=ecoinformatics,dc=org
History

#1 - 2017-02-02 19:07 - Jing Tao

Hi Mark. The error messages say:

The Coordinating Node is not authorized to make systemMetadata changes on this object. Please make changes directly on the authoritative Member

Node.

This means the authoritative node of this object is a v2 node and the member node has the authority on system metadata ( the archive method is

considered to change the system metadata). So you can NOT call the archive method by the CN url. You have to call the archive method by a mn

rest command. 

Does the authoritative node still exist?

#2 - 2017-03-21 17:10 - Mark Servilla

- Target version set to CCI-2.4.0
